# Uses of Class
org.apache.lucene.queryparser.surround.query.BasicQueryFactory

Packages that use BasicQueryFactory
Package
Description
org.apache.lucene.queryparser.surround.query
This package contains SrndQuery and its subclasses.

- ## Uses of BasicQueryFactory in org.apache.lucene.queryparser.surround.query

  Methods in org.apache.lucene.queryparser.surround.query that return BasicQueryFactory
  Modifier and Type
  Method
  Description
  `BasicQueryFactory`
  SpanNearClauseFactory.`getBasicQueryFactory()`
  Methods in org.apache.lucene.queryparser.surround.query with parameters of type BasicQueryFactory
  Modifier and Type
  Method
  Description
  `Query`
  DistanceQuery.`getSpanNearQuery(IndexReader reader, String fieldName, BasicQueryFactory qf)`
  `Query`
  SrndQuery.`makeLuceneQueryField(String fieldName, BasicQueryFactory qf)`
  `Query`
  AndQuery.`makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`
  `Query`
  DistanceQuery.`makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`
  `Query`
  FieldsQuery.`makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`
  `Query`
  NotQuery.`makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`
  `Query`
  OrQuery.`makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`
  `Query`
  SimpleTerm.`makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`
  `abstract Query`
  SrndQuery.`makeLuceneQueryFieldNoBoost(String fieldName, BasicQueryFactory qf)`
  `Query`
  FieldsQuery.`makeLuceneQueryNoBoost(BasicQueryFactory qf)`
  `List<Query>`
  ComposedQuery.`makeLuceneSubQueriesField(String fn, BasicQueryFactory qf)`
  Constructors in org.apache.lucene.queryparser.surround.query with parameters of type BasicQueryFactory
  Modifier
  Constructor
  Description
  ``
  `SpanNearClauseFactory(IndexReader reader, String fieldName, BasicQueryFactory qf)`